/// <reference types="react" />
import { ReactWidget } from '@theia/core/lib/browser/widgets/react-widget';
import * as React from '@theia/core/shared/react';
import '../../../src/browser/style/terminal-search.css';
import { Terminal } from 'xterm';
export declare const TERMINAL_SEARCH_WIDGET_FACTORY_ID = "terminal-search";
export declare const TerminalSearchWidgetFactory: unique symbol;
export declare type TerminalSearchWidgetFactory = (terminal: Terminal) => TerminalSearchWidget;
export declare class TerminalSearchWidget extends ReactWidget {
    private searchInput;
    private searchBox;
    private searchOptions;
    private searchAddon;
    protected terminal: Terminal;
    protected init(): void;
    protected render(): React.ReactNode;
    onSearchInputFocus: () => void;
    onSearchInputBlur: () => void;
    private handleHide;
    private handleCaseSensitiveOptionClicked;
    private handleWholeWordOptionClicked;
    private handleRegexOptionClicked;
    private updateSearchInputBox;
    private onInputChanged;
    search(incremental: boolean, searchDirection: 'next' | 'previous'): void;
    private handleNextButtonClicked;
    private handlePreviousButtonClicked;
    onAfterHide(): void;
    onAfterShow(): void;
}
//# sourceMappingURL=terminal-search-widget.d.ts.map